/**
 * Copyright (c) 2010 A.G.Docherty. All Rights Reserved.
 */
package uk.co.keang.hex.demo;

import java.awt.BorderLayout;
import java.awt.Color;
import javax.swing.JApplet;
import javax.swing.UIManager;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.LineBorder;

/**
 * An applet displaying the HexLayoutDemo program
 * 
 * @author A.G.Docherty
 * @date 2 Feb 2010
 *
 */
public class HexApplet extends JApplet
{
private static final long serialVersionUID = 987532281262389796L;
private HexLayoutDemo demo;

@Override
public void init() 
    {
    try {
        javax.swing.SwingUtilities.invokeAndWait(new Runnable() 
            {
            public void run() 
                {
                try
                    {
                    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
                    }
                catch ( Exception e )
                    {
                    // ignore this as it will still display - it just won't be the system look and feel
                    }

                demo = new HexLayoutDemo();
                demo.setBorder(new CompoundBorder(new LineBorder(Color.DARK_GRAY), new EmptyBorder(5,5,5,5)));
                getContentPane().add(demo, BorderLayout.CENTER);
                }
            });
        } 
    catch (Exception e) 
        {
        e.printStackTrace();
        System.err.println("Failed to create the demo");
        }
    }

@Override
public void start()
    {
    }

}
